Subject: Re: [Cbor] [IoT-DIR] Iotdir telechat review of draft-ietf-cbor-array-tags-07

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 3 Oct 2019 07:58:51 +0000

[Forwarding to the CBOR WG list]

Thank you Henk for the review of this document. Based on your review, I have balloted a "YES" for the document.

Best regards

-éric

On 03/10/2019, 02:03, "IoT-DIR on behalf of Henk Birkholz via Datatracker" <[email-masked] on behalf of [email-masked]> wrote:

    Reviewer: Henk Birkholz
    Review result: Ready
    
    Hi authors,
    hi list,
    
    I am the assigned IoT Directorate reviewer for I-D.ietf-cbor-array-tags.
    
    Please treat this review as you would treat any other WGLC comment.
    
    The document defines 26 IANA CBOR tag numbers in the specification-required
    space and one tag number in the first-come-first-served space. The tags enable
    the use of typed, multidimensional, and homogeneous arrays in the CBOR (RFC
    7049) enabling multiple compinations of array composition. Serialization of
    corresponding CBOR arrays is defined in text and complemented with
    comprehensive summaries in table format. The specified CBOR tags provide
    convenience functions (e.g. retaining endianness) that reduce workflow
    complexity and are eliminating unnecessary serialization overhead in comparison
    to the original array tag specified in RFC 7049.
    
    This document provides significant improvements for the conveyance of various
    types of structured data processed by things of any size.
    
    The document is well written, comprehensible, and concise. Various nits have
    been resolved based on other WGLC comments.
    
    The tag specification uses CBOR examples (figures) that sightly diverge from
    the style used RFC 7049. The style used is in this document is an improvement
    with respect to readability and is consistent with other documents.
    
    The document is ready for approval.
    
    Viele Grüße,
    
    Henk
    
    _______________________________________________
    IoT-DIR mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/iot-dir